classification
Title: urllib2. strange behavior for getting chuncked transfer-ecnoded data
Type: behavior Stage:
Components: Library (Lib) Versions: Python 2.5
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: georg.brandl Nosy List: begemoth, georg.brandl
Priority: normal Keywords:

Created on 2008-03-06 10:17 by begemoth, last changed 2008-05-12 17:07 by georg.brandl. This issue is now closed.

Messages (2)
msg63316 - (view) Author: (begemoth) Date: 2008-03-06 10:17
Through urllib2 open web pages from some sites (www.rbc.ru, www.rambler.ru, www.yandex.ru). Their servers send data in chuncked transfer-encoding. httplib (which is used by urllib2) "unchunk" data but I recieve "transfer-encoding: chuncked" in response header nevertheless. It seems to me that this key in header need to be removed from the header if httplib "unchuncked" the data.
msg64264 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-03-21 19:45
I don't think we should change this -- it sounds like gratuitous
breakage to me, and I also don't see the reason why httplib should throw
away an HTTP header just because the user isn't likely to need it.
History
Date User Action Args
2008-05-12 17:07:11georg.brandlsetstatus: pending -> closed
2008-03-21 19:45:31georg.brandlsetstatus: open -> pending
resolution: wont fix
messages: + msg64264
2008-03-20 18:03:25jafosetpriority: normal
assignee: georg.brandl
nosy: + georg.brandl
2008-03-06 10:17:02begemothcreate